summaryrefslogtreecommitdiffstats
path: root/sabnzb
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-03-23 21:35:13 +0000
committer Eric Hameleers <alien@slackware.com>2010-03-23 21:35:13 +0000
commita0e70fc2777b3c0e0ae93d437b04f460634c6ac6 (patch)
treebdcf888fcefec04fec0e20ff3d578b16d5c8e6ad /sabnzb
parente701cb763e1b7f9fdf7ae28383a18d88a42f310f (diff)
downloadasb-a0e70fc2777b3c0e0ae93d437b04f460634c6ac6.tar.gz
asb-a0e70fc2777b3c0e0ae93d437b04f460634c6ac6.tar.xz
Initial revision
Diffstat (limited to 'sabnzb')
-rwxr-xr-xsabnzb/build/sabnzb.SlackBuild188
-rw-r--r--sabnzb/build/slack-required5
2 files changed, 193 insertions, 0 deletions
diff --git a/sabnzb/build/sabnzb.SlackBuild b/sabnzb/build/sabnzb.SlackBuild
new file mode 100755
index 00000000..61080b40
--- /dev/null
+++ b/sabnzb/build/sabnzb.SlackBuild
@@ -0,0 +1,188 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2010 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: sabnzb
+# Descr: binary newsreader written in python
+# URL: http://sabnzbd.org/
+# Needs: par2cmdline, pyopenssl, python-cheetah, python-yenc, unrar
+# Changelog:
+# 0.5.0-1: 23/Mar/2010 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh sabnzb.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=sabnzb
+VERSION=${VERSION:-0.5.0}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:" -j4 "}
+ARCH=noarch
+TAG=${TAG:-alien}
+
+DOCS="CHANGELOG.txt COPYRIGHT.txt GPL2.txt GPL3.txt INSTALL.txt ISSUES.txt \
+ LICENSE.txt PKG-INFO README.txt licenses"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/SABnzb-${VERSION}-src.tar.gz"
+SRCURL="http://sourceforge.net/projects/${PRGNAM}dplus/files/${PRGNAM}dplus/${PRGNAM}d-${VERSION}/SABnzbd-${VERSION}-src.tar.gz/download"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+tar -xvf ${SOURCE}
+cd SABnzbd-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+echo Building ...
+# Just copying files really... it's only python:
+mkdir -p $PKG/usr/share/sabnzb
+cp -a * $PKG/usr/share/sabnzb
+
+# Create a menu entry:
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp -a interfaces/Mobile/templates/static/images/sab.png $PKG/usr/share/pixmaps/
+cat <<EOT > $PKG/usr/share/applications/sabnzb.desktop
+[Desktop Entry]
+Categories=Network
+Encoding=UTF-8
+Name=python /usr/share/sabnzb/SABnzbd.py --browser 1
+GenericName=NZB Client
+Comment=Binary Usenet client
+Exec=SABNzbd.sh
+Icon=/usr/share/pixmaps/sab.png
+Terminal=true
+StartupNotify=false
+Type=Application
+EOT
+
+# Add this to the doinst.sh:
+! [ -d $PKG/install ] && mkdir -p $PKG/install
+cat <<EOT >> $PKG/install/doinst.sh
+# Update the desktop database:
+if [ -x usr/bin/update-desktop-database ]; then
+ chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
+fi
+
+EOT
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ -f $SRCDIR/doinst.sh ]; then
+ cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
+fi
+if [ -f $SRCDIR/slack-required ]; then
+ cat $SRCDIR/slack-required > $PKG/install/slack-required
+fi
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+if [ -f $PKG/install/slack-required ]; then
+ cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
+fi
+
+# Restore the original umask:
+umask ${_UMASK_}
+
diff --git a/sabnzb/build/slack-required b/sabnzb/build/slack-required
new file mode 100644
index 00000000..e8f5a3fc
--- /dev/null
+++ b/sabnzb/build/slack-required
@@ -0,0 +1,5 @@
+par2cmdline
+pyopenssl
+python-cheetah
+python-yenc
+unrar